Get Response Targets

Retrieves a list of response target configurations matching the search criteria. You can view the details of a specific response target configuration with the Get Response Target API.

Required Permissions

Requires the ADMIN role or higher.

HTTP Request

GET /api/sonar/response-targets
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     "https://HOSTNAME/api/sonar/response-targets?offset=0&limit=20"
Request Parameters
KeyRequiredTypeDescriptionNote
offsetNo32-bit integerNumber of records to skipDefault: 0
limitNo32-bit integerMaximum number of recordsIf not specified, load all records
keywordsNoStringSearch keywordSearches the name and description values

Success Response

{
  "total_count": 1,
  "response_targets": [
    {
      "guid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Firewall response target",
      "description": "Blocks attacker IPs on the perimeter firewall",
      "enabled": true,
      "model_type": "bluemax-ngf",
      "model_name": "Bluemax NGF",
      "ip_blacklist_name": "Firewall block IPs",
      "ip_blacklist_guid": "4dc14f3d-ebf8-4032-8a7a-ef9ec6cd3dd2",
      "profile_guid": "66666666-7777-8888-9999-000000000000",
      "created_at": "2026-06-18 10:00:00+0900",
      "updated_at": "2026-06-18 10:00:00+0900",
      "configs": {}
    }
  ]
}
  • total_count (32-bit integer): Total number of response target configurations matching the search criteria
  • response_targets (Array): List of response target configurations matching the search criteria
    • guid (String): Response target configuration GUID
    • name (String): Response target name
    • description (String): Description
    • enabled (Boolean): Whether the target is enabled
    • model_type (String): Response model type code. Installing an app that supports response targets adds the corresponding model type
    • model_name (String, optional): Response model name. Localized to the session language. Returned as null if the app that provided model_type has been removed and the model cannot be found
    • ip_blacklist_name (String): Name of the address group used to register the blocked IP addresses
    • ip_blacklist_guid (String): Address group GUID
    • profile_guid (String): GUID of the connect profile used to communicate with the target device
    • created_at (String): Date and time created (yyyy-MM-dd HH:mm:ssZ format)
    • updated_at (String): Date and time updated (yyyy-MM-dd HH:mm:ssZ format)
    • configs (String key/value): Model-specific configuration values

Error Responses

offset or limit is not an integer

HTTP status code 400

{
  "error_code": "invalid-argument",
  "error_msg": "'offset' parameter should be int type"
}
No permission

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}